Jump to content

funktioniert iLife 09 und OSX 10.4.11


  • Please log in to reply
3 replies to this topic

#1
goehre

goehre

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 3 posts
hallo liebe gemeinde

habe mich durch euer forum gelesen ist und viele interessante anregungen und anleitungen gefunden :)

ich besitze, das letzte seiner art, ein powerbook g4 mit 2gb ram und OSX 10.4.11

unter vielen anderen nützlichen dingen habe ich, um iwork09 unter 10.4.11 zum laufen zu bringen, folgendes gefunden:

/System/Library /CoreServices/Systemversion.plist beide "10.5.4"-Einträge in "10.5.6" ändern un dann geht es einwandfrei

nu dachte ich mir, müsste ja auch für ilife 09 gelten…
installation (bis auf imovie) funktionierte perfekt NUR lässt sich nun weder iphoto noch iweb öffnen; und genau darum ging es mir ja…

weiter habe ich noch folgende anleitung gefunden, da versteh ich aber leider nicht, WO ich das denn ändern soll?!?!?


oder man deaktiviert den Versionscheck direkt im iWork09 Installationsscript selber....
( mußte ich z.b. bei ner Bundleversion von iLife auch schon machen um sie auf
dem Hackintosh zu installieren.... da sie z.b. normalerweise nur auf einem Mac Pro wollte... )

Einfach in der:

iWork09Trial.mpgk/iWorkTrial.dist


die Funktion:

function hasOldSystem()
{
// too old if running OS version less than 10.4.11
if (-1 == system.compareVersions(system.version.ProductVersion, '10.4.11'))
{
return true;
}

// not too old if we're >= 10.4.11 and below 10.5
if (-1 == system.compareVersions(system.version.ProductVersion, '10.5'))
{
return false
}

// too old if 10.5 to 10.5.5
if (-1 == system.compareVersions(system.version.ProductVersion, '10.5.6'))
{
return true;
}

// 10.5.6 or newer is not too old
return false;
}


ändern in:

function hasOldSystem()
{
// 10.5.6 or newer is not too old
return false;
}


VIELEN DANK für eure HILFE !!!!!!

#2
FCK

FCK

    InsanelyMac Sage

  • Members
  • PipPipPipPipPipPip
  • 394 posts
  • Location:Germany
Guckst du hier!
Entweder ich hab was falsch verstanden oder Du!
iWork '09 lässt sich unter der spätesten Version von 10.5 (Leopard) also 10.5.6 und 10.4 (Tiger) also 10.4.11 ohne Hack installieren!!!
Guck mal bei Apple unter den Systemanforderungen von iLife '09!
Eigentlich müsstest du nix ändern!

mfg.Felix

#3
goehre

goehre

    InsanelyMac Protégé

  • Just Joined
  • Pip
  • 3 posts

Guckst du hier!
Entweder ich hab was falsch verstanden oder Du!
iWork '09 lässt sich unter der spätesten Version von 10.5 (Leopard) also 10.5.6 und 10.4 (Tiger) also 10.4.11 ohne Hack installieren!!!
Guck mal bei Apple unter den Systemanforderungen von iLife '09!
Eigentlich müsstest du nix ändern!

mfg.Felix



hallo felix

danke für deine schnelle antwort!

ilife 09 ist für 10.5. und NICHT für 10.4. - also eigentlich nicht für mein betriebssystem…
nach diversen hinweisen hier, konnte ich es aber doch installieren:

/System/Library /CoreServices/Systemversion.plist beide "10.4.11"-Einträge in "10.5.6" ändern un dann ging die installation einwandfrei

bis auf imovie (da kam die meldung er bräuchte ein dual core prozessor) hat das super funktioniert NUR lassen sich iphoto und iweb nicht öffnen und vor der anleitung der iwork installation steht in klammern, dass er das ebenfalls bei ilife09 schon gemacht hat…

und nu weiss ich nicht, WO ich das beschriebene ebenfalls ändern muss, um iphoto ans laufen zu bekommen,
oder ob ich wirklich etwas falsch verstanden habe :)

ich weiss, ich versuche etwas, was bei iwork 09 funktioniert hat, auf ilife 09 anzuwenden… :D

lieben gruss
marianne

#4
FCK

FCK

    InsanelyMac Sage

  • Members
  • PipPipPipPipPipPip
  • 394 posts
  • Location:Germany
Wenn nix geht, kannste doch iLife '08 nehmen... Das geht auf jeden....

mfg.Felix





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy